Subject: Re: bug#52727: When logged as user, GUILE_LOAD_COMPILED_PATH points to the system cache instead of the user cache

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 22 Dec 2021 12:03:42 +0100

Am Mittwoch, dem 22.12.2021 um 11:32 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op wo 22-12-2021 om 08:57 [+0100]:
> > No.  The Guix command as built by `guix pull' sets its own load path,
> > but respects system paths too.  You can check by spawning a REPL:
> > [...]
> 
> But are there any good reasons to respect $GUILE_LOAD{,_COMPILE}_PATH
> at all? Usually, we use wrap-program etc. to set load paths (guile,
> python, PATH or otherwise). Maybe guile-launcher can be modified to set
> the load path instead of appending to it?
IIUC the guix command does not particularly need to provide support for
multiple profiles, so we could isolate it.  After all, extensions ought
to be installed in the user's (single) current-guix profile, no? 
(Disregarding the use of guix environment/guix shell, of course.)  Or
more accurately, GUIX_EXTENSIONS_PATH serves as a different escape
hatch.